Get Customer
GET
/customers/{customer_id}Returns one customer. A customer outside the token scope (another merchant or store) is not returned.
Path Parameters
customer_id*
stringHeader Parameters
token*
stringGET/customers/{customer_id}
1curl --location 'https://api.ipospays.tech/invoice-service/v1/customers/LMPD9SWTTI1LI05' \
2--header 'token: '
Response
// Awaiting response…
Sample response
{
"data": {
"customer_id": "LMPD9SWTTI1LI05",
"customer_externalRefId": "CRM-4632357",
"email": "docs.full.4632357@example.com",
"phone": null,
"firstName": "Jane",
"lastName": "Doe",
"Dba": null,
"Zipcode": null,
"City": null,
"State": null,
"storeId": "05cbaac8502f"
},
"message": "Customer retrieved successfully",
"response_code": "SUCCESS",
"status_code": 200,
"request_id": "TEST-20261011182338-RCFCL3",
"timestamp": "2026-10-11T12:53:38.637Z"
}